Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » I need help with installing Eclipse IDE for Java developers. (Evertime I try to install Eclipse it fails due to something that I am unaware of.)
I need help with installing Eclipse IDE for Java developers. [message #1827141] Thu, 07 May 2020 23:24 Go to next message
Ethan  Andersen is currently offline Ethan AndersenFriend
Messages: 2
Registered: May 2020
Junior Member
I have tried installing Eclipse but every time I get the a red text box at the top of my screen that states, "installation failed with an error. Show log." I looked through these forums for the solution to this problem but everything I found didn't work. Majority of the solutions were for you to go into your bundle pool and fix any corrupted Artifacts. However when I try to do that there are no artifacts for me to repair. If anyone can help me that would be highly appreciated. Also, here is the error log that shows up if you click on show log in the error message.

[2020-05-07 18:23:15] Executing bootstrap tasks
[2020-05-07 18:23:15] Java(TM) SE Runtime Environment 14.0.1+7
[2020-05-07 18:23:15] Product org.eclipse.products.epp.package.java.2020-03
[2020-05-07 18:23:15] Bundle org.eclipse.oomph.setup 1.16.0.v20200309-0628, build=4574, branch=1da35020a3c353b5b394468c77f8dc5906f072b7
[2020-05-07 18:23:15] Bundle org.eclipse.oomph.setup.core 1.16.0.v20200219-0856, build=4574, branch=1da35020a3c353b5b394468c77f8dc5906f072b7
[2020-05-07 18:23:15] Bundle org.eclipse.oomph.setup.p2 1.14.0.v20200202-1112, build=4574, branch=1da35020a3c353b5b394468c77f8dc5906f072b7
[2020-05-07 18:23:15] Performing P2 Director (Eclipse IDE for Java Developers (2020-03))
[2020-05-07 18:23:15] Offline = false
[2020-05-07 18:23:15] Mirrors = true
[2020-05-07 18:23:15] Resolving 23 requirements from 3 repositories to C:\Users\bntan\eclipse\eclipse\eclipse\eclipse
[2020-05-07 18:23:15] Requirement epp.package.java [4.15.0,5.0.0)
[2020-05-07 18:23:15] Requirement org.eclipse.platform.feature.group [4.15.0,5.0.0)
[2020-05-07 18:23:15] Requirement org.eclipse.rcp.feature.group [4.15.0,5.0.0)
[2020-05-07 18:23:15] Requirement org.eclipse.buildship.feature.group
[2020-05-07 18:23:15] Requirement org.eclipse.eclemma.feature.feature.group
[2020-05-07 18:23:15] Requirement org.eclipse.egit.feature.group
[2020-05-07 18:23:15] Requirement org.eclipse.egit.mylyn.feature.group
[2020-05-07 18:23:15] Requirement org.eclipse.epp.mpc.feature.group
[2020-05-07 18:23:15] Requirement org.eclipse.jdt.feature.group
[2020-05-07 18:23:15] Requirement org.eclipse.jgit.feature.group
[2020-05-07 18:23:15] Requirement org.eclipse.m2e.feature.feature.group
[2020-05-07 18:23:15] Requirement org.eclipse.m2e.logback.feature.feature.group
[2020-05-07 18:23:15] Requirement org.eclipse.mylyn.bugzilla_feature.feature.group
[2020-05-07 18:23:15] Requirement org.eclipse.mylyn.context_feature.feature.group
[2020-05-07 18:23:15] Requirement org.eclipse.mylyn.git.feature.group
[2020-05-07 18:23:15] Requirement org.eclipse.mylyn.hudson.feature.group
[2020-05-07 18:23:15] Requirement org.eclipse.mylyn.ide_feature.feature.group
[2020-05-07 18:23:15] Requirement org.eclipse.mylyn.java_feature.feature.group
[2020-05-07 18:23:15] Requirement org.eclipse.mylyn.wikitext_feature.feature.group
[2020-05-07 18:23:15] Requirement org.eclipse.mylyn_feature.feature.group
[2020-05-07 18:23:15] Requirement org.eclipse.tips.feature.feature.group
[2020-05-07 18:23:15] Requirement org.eclipse.wst.xml_ui.feature.feature.group
[2020-05-07 18:23:15] Requirement org.eclipse.oomph.setup.feature.group
[2020-05-07 18:23:15] Repository http://download.eclipse.org/technology/epp/packages/2020-03
[2020-05-07 18:23:15] Repository http://download.eclipse.org/releases/2020-03/202003181000
[2020-05-07 18:23:15] Repository http://download.eclipse.org/oomph/updates/milestone/latest
[2020-05-07 18:23:15] ERROR: org.eclipse.equinox.p2.transport.ecf code=1002 Unable to read repository at http://download.eclipse.org/oomph/updates/milestone/latest/content.xml.
java.net.SocketException: Address family not supported by protocol family: connect
at java.base/sun.nio.ch.Net.connect0(Native Method)
at java.base/sun.nio.ch.Net.connect(Net.java:503)
at java.base/sun.nio.ch.Net.connect(Net.java:492)
at java.base/sun.nio.ch.NioSocketImpl.connect(NioSocketImpl.java:588)
at java.base/java.net.SocksSocketImpl.connect(SocksSocketImpl.java:333)
at java.base/java.net.Socket.connect(Socket.java:648)
at org.apache.http.conn.socket.PlainConnectionSocketFactory.connectSocket(PlainConnectionSocketFactory.java:75)
at org.apache.http.impl.conn.DefaultHttpClientConnectionOperator.connect(DefaultHttpClientConnectionOperator.java:142)
at org.apache.http.impl.conn.PoolingHttpClientConnectionManager.connect(PoolingHttpClientConnectionManager.java:374)
at org.apache.http.impl.execchain.MainClientExec.establishRoute(MainClientExec.java:393)
at org.apache.http.impl.execchain.MainClientExec.execute(MainClientExec.java:236)
at org.apache.http.impl.execchain.ProtocolExec.execute(ProtocolExec.java:186)
at org.apache.http.impl.execchain.RetryExec.execute(RetryExec.java:89)
at org.apache.http.impl.execchain.RedirectExec.execute(RedirectExec.java:110) at org.apache.http.impl.client.InternalHttpClient.doExecute(InternalHttpClient.java:185)
at org.apache.http.impl.client.CloseableHttpClient.execute(CloseableHttpClient.java:83)
at org.eclipse.ecf.provider.filetransfer.httpclient45.HttpClientFileSystemBrowser.runRequest(HttpClientFileSystemBrowser.java:246) at org.eclipse.ecf.provider.filetransfer.browse.AbstractFileSystemBrowser$DirectoryJob.run(AbstractFileSystemBrowser.java:69) at org.eclipse.core.internal.jobs.Worker.run(Worker.java:63)
Re: I need help with installing Eclipse IDE for Java developers. [message #1827165 is a reply to message #1827141] Fri, 08 May 2020 18:03 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 31152
Registered: July 2009
Senior Member
Does it consistently fail this same way?

It sounds a bit like this:

https://stackoverflow.com/questions/16373906/address-family-not-supported-by-protocol-family-socketexception-on-a-specific

But given the other repos loaded, it's kind of strange. It should fail with a 404 for that file and later it should find this one:

http://download.eclipse.org/oomph/updates/milestone/latest/compositeContent.jar
Re: I need help with installing Eclipse IDE for Java developers. [message #1827168 is a reply to message #1827165] Fri, 08 May 2020 19:58 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 31152
Registered: July 2009
Senior Member
It's better to ask on the BIRT forum:

https://www.eclipse.org/forums/index.php/f/2/
Re: I need help with installing Eclipse IDE for Java developers. [message #1827170 is a reply to message #1827141] Fri, 08 May 2020 21:46 Go to previous messageGo to next message
Ethan  Andersen is currently offline Ethan AndersenFriend
Messages: 2
Registered: May 2020
Junior Member
I clicked that link and looked at it for some time and found a command prompt that fixed the problem. Thank you so much for this I have been wanting to learn Java for so long now and with quarantine I thought this would be the prefect time. I don't know how to thank you for this.
Re: I need help with installing Eclipse IDE for Java developers. [message #1827344 is a reply to message #1827170] Wed, 13 May 2020 13:32 Go to previous message
Cleo Jansen is currently offline Cleo JansenFriend
Messages: 2
Registered: May 2020
Junior Member
It worked for me as well. Thanks a lot! Yeah, quarantine is the best time to get things done ;)
Previous Topic:Subclipse Wizard could not be started
Next Topic:Setting the web browser to chrome still opens the eclipse web browser
Goto Forum:
  


Current Time: Wed May 27 22:47:39 GMT 2020

Powered by FUDForum. Page generated in 0.03506 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top